* {
  box-sizing: border-box;
}

body {
  padding: 100px;
}

.container {
  border: 2px solid black;
  display: grid;
  grid-template-columns: repeat(3, 100px);
  grid-template-rows: repeat(2, 100px) 50px;
  padding: 20px; 
  gap: 20px;
  width: 400px;
  position: absolute;
  
  transform: translate(-50%,-50%);
  top: 50%;
  left: 50%;
}

.box-red {
  background-color: red;
  grid-column: 1 / 2;
  grid-row: 1 / 2;
}

.box-purple {
  grid-column: 1 / 2;
  grid-row: 2/ 3;
  background-color: blueviolet;
  border-radius: 15px;
}

.circle {
  grid-column: 2 / 3;
  grid-row: 2 / 3;
  border-radius: 50%;
  border: 1px solid cyan;
}

.triangle {
  grid-column: 2 /3;
  grid-row: 1 / 2;
  border-top: 60px solid transparent;
  border-bottom: 60px solid transparent;
  
  border-left: 60px solid green;
  width: 0;
  height: 0;
}

.box-blue {
  grid-column: 3 / 5;
  grid-row: 1 / 3;
  background-color: cyan;
  border-radius: 30px;
}

.box-green {
  grid-column: 1 / 5;
  grid-row: 3 /4;
  background-color: green;
}